<?php session_start();

		header('Content-Type: text/html; charset=UTF8');
	
			require_once("../../conexion/sb_conexion.php");
	
	
			$bd=Db::getInstance();
	
			$id_empresa = $_SESSION['ss_empresa'];

/* 			$campos_insert="";
			foreach( $campo as $key => $value ) {
				$campos_insert=$campos_insert."".$key.",";
				$campos_update=$campos_update.str_replace("'","",$key)."='".$value."',";	
			}
			
			$Query_insert="insert into sb_funcionarios_lista  
			 (".rtrim(str_replace("'","",$campos_insert),",").")  values ('".implode('\',\'',$campo)."')";
			$Query_update="update sb_funcionarios_lista set ".rtrim($campos_update,",");
		//	echo '<script>console.log('.$Query_insert.');</script>' */
			
			
			foreach( $campo as $key => $value ) {
				$key=str_replace("'","",$key);
				$campos_for[$key]=$value;
			}
			
			foreach( $campo2 as $key => $value ) {
				$key=str_replace("'","",$key);
				$campos_for2[$key]=$value;
			}
			
			$bd->proceso($id_empresa);
			$ano = $bd->int_anoactual();
			if($bd->int_mesactual()<10){
				$mes = "0".$bd->int_mesactual();
			}else{
				$mes = $bd->int_mesactual();
			}
			$proceso = $ano.$mes;
			
			$valor_campos=
			"'".$campos_for['Rut_Func']."',".
			"'".$campos_for['Nombre_Func']."',".
			"'".$campos_for['Apellido_Paterno_Func']."',".
			"'".$campos_for['Apellido_Materno_Func']."',".
			"'".$campos_for['Codigo_Empresa_Func']."',".
			"'".$campos_for2['Codigo_Sucursal_Cont']."',".
			"'".$campos_for2['Codigo_Causal_Cont']."',".
			"'".$campos_for2['Fecha_Inicio_Cont']."',".
			"'".$campos_for2['Fecha_Termino_Cont']."',".
			"'".$campos_for2['Cesantia_Cont']."',".
			"'".$campos_for['Codigo_Afp_Func']."',".
			"'".$campos_for['Codigo_Isapre_Func']."',".
			"'".$campos_for2['Tipo_Cont']."',".
			"'".$campos_for2['Codigo_Afp_Recaudadora_Cont']."',".
			"'".$campos_for['Ahorro_Afp_Func']."',".
			"'".$campos_for['Cotizacion_Voluntaria_Func']."',".
			"'".$campos_for['Movilizacion_Func']."',".
			"'".$campos_for['Sexo_Func']."',".
			"'".$campos_for['Viatico_Func']."',".
			"'".$campos_for['Direccion_Func']."',".
			"'".$campos_for['Colacion_Func']."',".
			"'".$campos_for['Comuna_Func']."',".
			"'".$campos_for['Seguro_Vida_Func']."',".
			"'".$campos_for['Fono1_Func']."',".
			"'".$campos_for['Bienestar_Func']."',".
			"'".$campos_for['Fono2_Func']."',".
			"'".$campos_for['Sindicato_Func']."',".
			"'".$campos_for['Calzado_Func']."',".
			"'".$campos_for['Banco_Func']."',".
			"'".$campos_for['Talla_Func']."',".
			"'".$campos_for['Cuenta_Corriente_Func']."',".
			"'".$campos_for['Contacto_Emergencia_Func']."',".
			"'".$campos_for['Fono_Emergencia_Func']."',".
			"'".$campos_for['Sueldo_Base_Func']."',".
			"'".$campos_for['Tramo_Asig_Func']."',".
			"'".$campos_for['Cargas_Norm_Func']."',".
			"'".$campos_for['Tipo_Pactado_Func']."',".
			"'".$campos_for['Valor_Pactado_Func']."',".
			"'".$campos_for['Cargas_Mate_Func']."',".
			"'".$campos_for['Cargas_Inva_Func']."',".
			"'".$campos_for['Ciudad_Func']."',".
			"'".$campos_for['Ahorro_Apv_Func']."',".
			"'".$campos_for['Codigo_Categoria_Func']."',".
			"'".$campos_for['Afecto_Zona_Func']."',".
			"'".$dbx->id_proceso."',".               
			"'".$proceso."',".             
			"'".$id."',".
			"'upda',@resultado";                         
			$sql="call  Procedure_Funcionario01 ($valor_campos);";
	//	echo $sql;
			$stmtQ1 = $bd->ejecutar($sql);
			if ($stmtQ1->error) {
				try {    
					throw new Exception("MySQL error $stmtQ1->error <br> Query:<br> $query", $stmtQ1->errno);    
				} catch(Exception $e ) {
					echo "Error No: ".$e->getCode(). " - ". $e->getMessage() . "<br >";
					echo nl2br($e->getTraceAsString());
				}
			}
			
			$stmtQ2 = $bd->ejecutar("select @resultado as res");
			$registroQ2 = $bd->obtener_fila($stmtQ2,0);
			
			$_SESSION["mensajeFinal"] = "";
			
		//	echo "-------".$registroQ2['res']."-------";
			if($registroQ2['res']==0){
				$_SESSION["mensajeFinal"] = "Registro Actualizado";
			
				$_SESSION['estado'] = "ON";
				$_SESSION["EstadoGuardado"] = "1";
			}else{
			 $_SESSION["mensajeFinal"] = "Error:Intentelo Nuevamente";
			 $_SESSION['estado'] = "ON";
			 $_SESSION["EstadoGuardado"] = "1";
			}
			?>
			 <script>
				alert("<?=$estado?>");
				console.log(<?=$sql?>);
				console.log(<?=$estado?>);
			</script>
            <? 
		header ("Location: index.php");
 ?>